Bug 970997 - Allow multiple packets to be received
Allow multiple packets to be received
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nrpe (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen John Smoogen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 08:29 EDT by Tomas Edwardsson
Modified: 2017-07-07 18:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: nrpe-3.1.1-1.fc24 nrpe-3.1.1-1.fc25 nrpe-3.1.1-1.el6 nrpe-3.1.1-1.el7 nrpe-3.1.1-1.fc26
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-03 20:19:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The multi packet patch (6.35 KB, patch)
2013-06-05 08:29 EDT, Tomas Edwardsson
no flags Details | Diff

  None (edit)
Description Tomas Edwardsson 2013-06-05 08:29:35 EDT
Created attachment 757149 [details]
The  multi packet patch

Description of problem:
nrpe by default only allows answers which are 1024 in length, everything else is automatically (silently) cut off. This affects the ability to get large amounts of perfdata and status.

A patch attached allows for multiple packets to be sent to accomidate 16KiB or less. 

check_nrpe with this patch handles gracefully connections to non-patched nrpe daemons so impact of including this patch should be none.

Version-Release number of selected component (if applicable):
2.14 and older

How reproducible:

Create a nrpe.cfg entry with
command[check_psef]=ps -ef

check_nrpe -H ... -c "check_psef"

Run ps -ef | wc -c vs check_nrpe piped through wc -c
Comment 1 Fedora End Of Life 2013-09-16 10:06:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Franky Van Liedekerke 2013-10-24 08:53:49 EDT
I also use this patch for quite some time already (and it is needed on servers with e.g. many cpu's when reporting CPU info, idem for disks). Is there any reason why it has not been included in the mainstream yet? I see a new version for nrpe was released on 2013-10-16 but this older enhancement request is not in there ...
Comment 3 Fedora Admin XMLRPC Client 2013-11-07 00:40:34 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2015-08-31 11:16:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2017-01-17 14:36:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Update System 2017-03-03 18:29:59 EST
nrpe-3.0.1-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4f49632d3
Comment 8 Fedora Update System 2017-03-03 19:08:09 EST
nrpe-3.0.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a89da38bf3
Comment 9 Fedora Update System 2017-03-04 23:20:26 EST
nrpe-3.0.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4f49632d3
Comment 10 Fedora Update System 2017-03-04 23:23:17 EST
nrpe-3.0.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a89da38bf3
Comment 11 Fedora Update System 2017-03-23 17:50:12 EDT
nrpe-3.0.1-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f92515d27
Comment 12 Fedora Update System 2017-03-23 18:08:25 EDT
nrpe-3.0.1-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d12527a635
Comment 13 Fedora Update System 2017-03-24 15:52:56 EDT
nrpe-3.0.1-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f92515d27
Comment 14 Fedora Update System 2017-03-24 16:24:22 EDT
nrpe-3.0.1-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d12527a635
Comment 15 Christian Kujau 2017-05-11 02:04:00 EDT
With nrpe-3.0.1-6.fc25.x86_64:

# tail -1 /etc/nrpe.d/nrpe_local.cfg && ps -ef | wc -l
command[check_psef]=ps -ef
165

And via check_nrpe:

# check_nrpe -H localhost -4 -p 5666 -n -c check_psef | wc -l
166
Comment 16 Fedora Update System 2017-05-14 11:50:47 EDT
nrpe-3.1.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-665b1abde6
Comment 17 Fedora Update System 2017-05-15 02:35:19 EDT
nrpe-3.1.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-665b1abde6
Comment 18 Fedora Update System 2017-06-14 19:42:18 EDT
nrpe-3.1.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-69a58c7a69
Comment 19 Fedora Update System 2017-06-14 20:02:46 EDT
nrpe-3.1.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb24165ee1
Comment 20 Fedora Update System 2017-06-14 20:36:47 EDT
nrpe-3.1.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be117b53a8
Comment 21 Fedora Update System 2017-06-14 20:46:58 EDT
nrpe-3.1.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92879f40b9
Comment 22 Fedora Update System 2017-06-14 21:02:16 EDT
nrpe-3.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f37341bbab
Comment 23 Fedora Update System 2017-06-15 05:48:05 EDT
nrpe-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92879f40b9
Comment 24 Fedora Update System 2017-06-15 05:48:12 EDT
nrpe-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f37341bbab
Comment 25 Fedora Update System 2017-06-15 06:57:26 EDT
nrpe-3.1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be117b53a8
Comment 26 Fedora Update System 2017-06-15 06:59:22 EDT
nrpe-3.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb24165ee1
Comment 27 Fedora Update System 2017-06-15 10:01:23 EDT
nrpe-3.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-69a58c7a69
Comment 28 Fedora Update System 2017-07-03 20:19:27 EDT
nrpe-3.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2017-07-03 21:50:47 EDT
nrpe-3.1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2017-07-04 00:17:20 EDT
nrpe-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2017-07-04 00:19:34 EDT
nrpe-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2017-07-07 18:55:19 EDT
nrpe-3.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.